#include <graphics.h>
#include "cerc.h"

void CERC::Sterge()
//*****************
{
  setcolor(BLACK);
  circle(x,y,r);
}

void CERC::Afiseaza()
//*******************
{
  setcolor(c);
  circle(x,y,r);
}

void CERC::Muta(int dx,int dy)
//****************************
{
  Sterge();              //stergere

  x += dx;               //mutare
  y += dy;

  Afiseaza();            //afisare in noua pozitie
}

void CERC::Creste(int dr)
//***********************
{
  Sterge();              //stergere

  r += dr;               //redimensionare

  Afiseaza();            //afisare cu noua dimensiune
}

void CERC::Atribuie(int x0,int y0,int r0,int c0)
//**********************************************
{
  x = x0;               // atribuiri spre variabilele private
  y = y0;
  r = r0;
  c = c0;
}
